Bug 149923 - CAN-2005-0578 Unsafe /tmp/plugtmp directory exploitable to erase user's files
Summary: CAN-2005-0578 Unsafe /tmp/plugtmp directory exploitable to erase user's files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=important,public=20050224
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-28 20:42 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 19:02:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:176 normal SHIPPED_LIVE Critical: firefox security update 2005-03-01 05:00:00 UTC

Description Josh Bressers 2005-02-28 20:42:06 UTC
A predictable name is used for the plugin temporary directory. A malicious local
user could symlink this to the victim's home directory and wait for the victim
to run Firefox. When Firefox shuts down the victim's directory would be erased.

http://www.mozilla.org/security/announce/mfsa2005-28.html

Comment 1 Josh Bressers 2005-03-01 19:02:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-176.html



Note You need to log in before you can comment on or make changes to this bug.